Bug 1515201 - /subsystem=naming/binding of type external-context is not available in JON
Summary: /subsystem=naming/binding of type external-context is not available in JON
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7
Version: JON 3.3.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR01
: One-off release
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks: 1543522
TreeView+ depends on / blocked
 
Reported: 2017-11-20 11:39 UTC by Filip Brychta
Modified: 2019-01-31 15:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1515203 (view as bug list)
Environment:
Last Closed: 2019-01-31 15:54:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1478094 0 high CLOSED The environment and cache fields are not shown on the JBoss ON page when viewing the configuration of /subsystem=naming/... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1515203 0 medium CLOSED /subsystem=naming/binding of type external-context is not available in JON 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1652061 0 high CLOSED Creation of /subsystem=naming/binding resource with Environment field fails 2021-02-22 00:41:40 UTC

Internal Links: 1478094 1515203 1652061

Description Filip Brychta 2017-11-20 11:39:10 UTC
Description of problem:
Following types of binding are available in EAP:
simple            object-factory    lookup            external-context

but JON only supports:
simple            object-factory    lookup

Version-Release number of selected component (if applicable):
JON 3.3.9. EAP plugin pack 05

How reproducible:
Always

Steps to Reproduce:
1.  Navigate to JBoss ON UI -> EAP 6 resource -> Subsystem -> naming -> Create Child -> Binding
2. File name and click on Next

Actual results:
Only simple, object-factory and lookup binding types are available.

Expected results:
All 4 binding types should be supported

Additional info:
You can list all supported binding types e.g. in jboss-cli:
/subsystem=naming/binding=java\:global\/a:read-resource-description

Comment 1 Filip Brychta 2017-11-20 11:58:18 UTC
You can create simple binding following way:
/subsystem=naming/binding="java:/global/a":add(binding-type=simple, value=100)

Comment 2 Michael Burman 2018-11-09 12:26:59 UTC
In the master:

commit 85af3a37d6733a44de4ea4462260b33f77043bb5 (HEAD -> master, upstream/master)
Author: Michael Burman <miburman@redhat.com>
Date:   Fri Nov 9 14:25:22 2018 +0200

    [BZ 1515201] Add external-context to EAP6 plugin as a naming binding option

Comment 4 Simeon Pinder 2018-11-21 11:55:15 UTC
Moving to ON_QA. See https://bugzilla.redhat.com/show_bug.cgi?id=1543522#c1 for test setup gory details.


Note You need to log in before you can comment on or make changes to this bug.